@import "custom-variables";

@mixin global-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);

  .t-accent-900 {
    color: mat-color($accent, 900) !important;
  }

  .t-accent-700 {
    color: mat-color($accent, 700) !important;
  }

  .t-accent-900 {
    color: mat-color($accent, 900) !important;
  }

  .t-success-900 {
    color: $green-900;
  }

  .t-warn-800 {
    color: mat-color($warn, 800) !important;
  }

  .t-purple-light {
    color: $purple-50 !important;
  }

  .t-purple {
    color: $purple-700 !important;
  }

  .t-purple-dark {
    color: $purple-900 !important;
  }

  .line-through {
    font-weight: normal;
    text-decoration-line: line-through;
    color: mat-color($accent, 700) !important;
  }

  .highlight-primary {
    box-shadow: inset 0px 0px 0px 1px mat-color($primary, 500) !important;
  }
}
